elftosb::KeyblobEntry Class Reference

Base class for data model of sections of the output file. More...

`#include <KeyblobEntry.h>`

Collaboration diagram for elftosb::KeyblobEntry:
[legend]

## Public Member Functions

| KeyblobEntry (uint32_t identifier)
void | setIdentifier (uint32_t identifier)
uint32_t | getIdentifier () const
void | setOptions (OptionContext *context)
| Set the option context. More...
const OptionContext * | getOptions () const
| Return the option context.

## Protected Attributes

uint32_t | m_id
| Unique identifier.
smart_ptr< OptionContext > | m_options
| Options associated with just this keyblob entry.

## Detailed Description

Base class for data model of sections of the output file.

## Member Function Documentation

void elftosb::KeyblobEntry::setOptions | ( | OptionContext * | context | ) |

inline

Set the option context.

The keyblob entry object will assume ownership of the option context and delete it when the section is deleted.

The documentation for this class was generated from the following file:

- KeyblobEntry.h